Bug 1311068 - 1.10.3-1.fc23 complains that cannot import module s3tansfer
1.10.3-1.fc23 complains that cannot import module s3tansfer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: awscli (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabio Alessandro Locati
Fedora Extras Quality Assurance
:
Depends On: 1311086
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 05:25 EST by James Hogarth
Modified: 2016-03-13 05:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: awscli-1.10.6-2.fc23 awscli-1.10.6-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-26 14:21:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Hogarth 2016-02-23 05:25:38 EST
Description of problem:
When carrying out any aws command the following error is output:

Traceback (most recent call last):
  File "/usr/bin/aws", line 27, in <module>
    sys.exit(main())
  File "/usr/bin/aws", line 23, in main
    return awscli.clidriver.main()
  File "/usr/lib/python3.4/site-packages/awscli/clidriver.py", line 49, in main
    driver = create_clidriver()
  File "/usr/lib/python3.4/site-packages/awscli/clidriver.py", line 58, in create_clidriver
    event_hooks=emitter)
  File "/usr/lib/python3.4/site-packages/awscli/plugin.py", line 44, in load_plugins
    modules = _import_plugins(plugin_mapping)
  File "/usr/lib/python3.4/site-packages/awscli/plugin.py", line 61, in _import_plugins
    module = __import__(path, fromlist=[module])
  File "/usr/lib/python3.4/site-packages/awscli/handlers.py", line 73, in <module>
    from awscli.customizations.gamelift import register_gamelift_commands
  File "/usr/lib/python3.4/site-packages/awscli/customizations/gamelift/__init__.py", line 13, in <module>
    from awscli.customizations.gamelift.uploadbuild import UploadBuildCommand
  File "/usr/lib/python3.4/site-packages/awscli/customizations/gamelift/uploadbuild.py", line 20, in <module>
    from s3transfer import S3Transfer
ImportError: No module named 's3transfer'

Downgrading to 1.10.1-1.fc23 works as expected

Version-Release number of selected component (if applicable):
1.10.3-1.fc23 

How reproducible:
Always

Steps to Reproduce:
1. dnf install awscli 
2. aws ecs list-clusters


Actual results:
Stacktrace declaring import error

Expected results:
List of clusters

Additional info:
1.10.1 works fine
Comment 1 Fabio Alessandro Locati 2016-02-23 06:05:55 EST
Thanks a lot for the bug report. The upstream did change their dependency tree in a subtle way and I did not noticed. I'm already working to fix it ASAP. As soon as a new package will be ready, I'll ask you to test it on bodhi, so we can speed up the patch in the stable release and be more confident.

Thanks again :)
Comment 3 Fedora Update System 2016-02-23 14:07:56 EST
python-s3transfer-0.0.1-2.fc22 awscli-1.10.6-2.fc22 python-botocore-1.3.28-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e944f7069a
Comment 4 Fedora Update System 2016-02-23 14:07:57 EST
python-s3transfer-0.0.1-2.fc23 awscli-1.10.6-2.fc23 python-botocore-1.3.28-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8575a10909
Comment 5 Fedora Update System 2016-02-25 05:53:01 EST
awscli-1.10.6-2.fc22, python-botocore-1.3.28-1.fc22, python-s3transfer-0.0.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e944f7069a
Comment 6 Fedora Update System 2016-02-25 21:25:40 EST
awscli-1.10.6-2.fc23, python-botocore-1.3.28-1.fc23, python-s3transfer-0.0.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8575a10909
Comment 7 Fedora Update System 2016-02-26 14:21:29 EST
awscli-1.10.6-2.fc23, python-botocore-1.3.28-1.fc23, python-s3transfer-0.0.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-03-13 05:52:25 EDT
awscli-1.10.6-2.fc22, python-botocore-1.3.28-1.fc22, python-s3transfer-0.0.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.